> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Alert Settings

> Update alert rules and renewal settings; only the fields you send change.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/crm/settings/alerts
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/settings/alerts:
    put:
      tags:
        - CRM
      summary: Update Alert Settings
      description: >-
        Update alert rules and renewal settings; only the fields you send
        change.
      operationId: update_crm_alert_settings
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertSettingsIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AlertSettingsIn:
      properties:
        rules:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/AlertRuleIn'
              type: object
            - type: 'null'
          title: Rules
        create_tasks:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Create Tasks
        renewal_lead_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Renewal Lead Days
        renewal_pipeline_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Renewal Pipeline Id
        auto_renewal_deals:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Renewal Deals
      title: AlertSettingsIn
      type: object
    AlertRuleIn:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Threshold
      title: AlertRuleIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.